import { Component, OnInit } from '@angular/core';
import { WorkService } from '../../../work/work.service';
import { CommonService } from '../../../shared/common/common.service';

@Component({
  selector: 'smart-look-project',
  templateUrl: './look-project.component.html',
  styles: [`
      .look-project .ant-advanced-search-form .ant-form-item {
        margin-bottom: 10px;
      }
    `]
})
export class LookProjectComponent implements OnInit {

  isVisible = false;
  title;
  obj;
  item_row_span = 24;
  item_label_span = 6;
  item_value_span = 18;

  constructor(private workSer: WorkService, private commonSer: CommonService) {
  }

  ngOnInit() {
  }

  showModal(data) {
    this.title = '运维项目：' + data.name;
    this.obj = data;
    this.isVisible = true;
  }

  handleEditCancel() {
    this.isVisible = false;
  }

  downLoad() {

  }

}
